%define major 1

%define libnamedevold %{mklibname spandsp 0}-devel
%define libname %mklibname spandsp %{major}
%define libnamedev %mklibname spandsp -d
%define libnamestaticdev %mklibname spandsp -d -s

Summary:        Steve's SpanDSP library for telephony spans
Name:           spandsp
Version:        0.0.5
Release:        %mkrel 0.pre4.1
License:        GPL
Group:          System/Libraries
URL:            http://www.soft-switch.org/
Source0:        http://www.soft-switch.org/downloads/spandsp/spandsp-%{version}pre4.tgz
BuildRequires:  audiofile-devel
BuildRequires:  fftw2-devel
BuildRequires:  file
BuildRequires:  fltk-devel
BuildRequires:  jpeg-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  tiff-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package -n %{libname}
Summary:        Steve's SpanDSP library for telephony spans
Group:          System/Libraries

%description -n %{libname}
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package -n %{libnamedev}
Summary:        Header files and libraries needed for development with SpanDSP
Group:          Development/C
Obsoletes:      %{libnamedevold} < %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedev}
This package includes the header files and libraries needed for developing
programs using SpanDSP.

%package -n %{libnamestaticdev}
Summary:        Static libraries needed for development with SpanDSP
Group:          Development/C
Provides:       %{name}-static-devel = %{version}-%{release}
Requires:       %{libnamedev} = %{version}-%{release}

%description -n %{libnamestaticdev}
This package includes the static libraries needed for developing programs
using SpanDSP.

%prep

%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING DueDiligence INSTALL NEWS README
%{_libdir}/lib*.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/spandsp
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{libnamestaticdev}
%defattr(-,root,root)
%{_libdir}/*.a


%changelog
* Tue Jul 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-0.pre4.1mdv2009.0
+ Revision: 240865
- 0.0.5pre4

* Wed Jun 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.4-0.pre7.3mdv2009.0
+ Revision: 225610
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.4-0.pre7.2mdv2008.1
+ Revision: 140850
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 0.0.4-0.pre7.2mdv2008.0
+ Revision: 79130
- 0.0.4pre7

* Sat Jul 21 2007 Stefan van der Eijk <stefan@mandriva.org> 0.0.4-0.pre3.2mdv2008.0
+ Revision: 54337
- fix new dev stuff breakage

* Wed Jul 18 2007 David Walluck <walluck@mandriva.org> 0.0.4-0.pre3.1mdv2008.0
+ Revision: 53318
- 0.0.4pre3


* Sat Dec 16 2006 David Walluck <walluck@mandriva.org> 0.0.3-1.pre27.1mdv2007.0
+ Revision: 98025
- 0.0.3pre27

* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1.pre26.5mdv2007.1
+ Revision: 94116
- rebuild
- rebuild
- fix deps
- Import spandsp

* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1.pre26.2mdv2007.0
- rebuild

* Fri Jun 16 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1.pre26.1mdv2007.0
- 0.0.2pre26

* Wed Feb 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1.pre25.1mdk
- 0.0.2pre25

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1.pre21.2mdk
- fix deps

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1.pre21.1mdk
- rebuild

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-0.pre21.1mdk
- 0.0.2pre21
- drop upstream patches

* Sat Sep 03 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-0.pre15.2mdk
- added one gcc4 patch (debian)

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.2-0.pre15.1mdk
- spandsp-0.0.2pre15

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-5mdk
- use the %%mkrel macro
- strip away annoying ^M

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-4mdk
- dotnuke

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-3mdk
- added P2 to make it compile on x86_64 (suse)

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-2mdk
- lib64 fixes (does not yet compile...)

* Tue Sep 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-1mdk
- initial mandrake package
- used parts from the provided spec file
- added P0

